Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 03-10-2014 10:54:48

mao2000
Membre
Inscription : 03-10-2014

Probleme compilation fglrx sous lenny

Bonjour,
je suis extrèmement novice sous linux aussi ne m' en veuiller pas pour certaines erreurs. Je suis là pour apprendre.
Ma configuration :intel qx6700 sur carte mère x975xb2 sous lenny 5.10.0 amd64 carte graphique x1950xt. Par curiosité j'essaie d' installer compiz pour cela je dois passer par le driver ati 9.3 avec la version 8-593 de fglrx corriger moi si je me trompe. Apres avoir extrait et installé les fichiers
fglrx-driver_8.593-1_amd64.deb
fglrx-driver-dev_8.593-1_amd64.deb
fglrx-kernel-src_8.593-1_amd64.deb
fglrx-amdcccle_8.593-1_amd64.deb
Arrive la partie ou il faut compiler avec module-assistant fglrx ca me renvoie des messages d' erreurs que je ne comprends pas

AMD kernel module generator version 2.1
.
Active kernel:
uname -a = Linux debian 2.6.26-2-amd64 #1 SMP Sun Mar 4 21:48:06 UTC 2012 x86_64 GNU/Linux
uname -s = Linux
uname -m = x86_64
uname -r = 2.6.26-2-amd64
uname -v = #1 SMP Sun Mar 4 21:48:06 UTC 2012
.
Target kernel:
uname -a = Linux debian 2.6.26-2-amd64 #1 SMP Sun Mar 4 21:48:06 UTC 2012 x86_64 GNU/Linux
uname -s = Linux
uname -m = x86_64
uname -r = 2.6.26-2-amd64
uname -v = #1 SMP Sun Mar 4 21:48:06 UTC 2012
.
OsVersion says: SMP=1
file /proc/kallsyms says: SMP=1
file /lib/modules/2.6.26-2-amd64/build/include/linux/autoconf.h says: SMP=1
file /lib/modules/2.6.26-2-amd64/build/include/linux/autoconf.h says: MODVERSIONS=1
.
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.26-2-amd64/build SUBDIRS=/usr/src/modules/fglrx/2.6.x modules
make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.26-2-amd64 »
  CC [M]  /usr/src/modules/fglrx/2.6.x/firegl_public.o
/usr/src/modules/fglrx/2.6.x/firegl_public.c: In function ‘KCL_MEM_VM_GetRegionPhysAddrStr’:
/usr/src/modules/fglrx/2.6.x/firegl_public.c:3223: warning: return makes pointer from integer without a cast
/usr/src/modules/fglrx/2.6.x/firegl_public.c:3224: warning: return makes pointer from integer without a cast
/usr/src/modules/fglrx/2.6.x/firegl_public.c:3225: warning: return makes pointer from integer without a cast
/usr/src/modules/fglrx/2.6.x/firegl_public.c:3227: warning: return makes pointer from integer without a cast
  CC [M]  /usr/src/modules/fglrx/2.6.x/kcl_acpi.o
  CC [M]  /usr/src/modules/fglrx/2.6.x/kcl_agp.o
  CC [M]  /usr/src/modules/fglrx/2.6.x/kcl_debug.o
  CC [M]  /usr/src/modules/fglrx/2.6.x/kcl_ioctl.o
/usr/src/modules/fglrx/2.6.x/kcl_ioctl.c: In function ‘KCL_IOCTL_AllocUserSpace32’:
/usr/src/modules/fglrx/2.6.x/kcl_ioctl.c:196: error: implicit declaration of function ‘compat_alloc_user_space’
/usr/src/modules/fglrx/2.6.x/kcl_ioctl.c:196: warning: return makes pointer from integer without a cast
make[2]: *** [/usr/src/modules/fglrx/2.6.x/kcl_ioctl.o] Erreur 1
make[1]: *** [_module_/usr/src/modules/fglrx/2.6.x] Erreur 2
make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.26-2-amd64 »
make: *** [kmod_build] Erreur 2
build failed with return value 2

J' apprecierai toute aide de votre part. je reconnai que ma carte video est vieille ainsi que ma configuration..

Hors ligne

#2 03-10-2014 11:03:36

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Probleme compilation fglrx sous lenny

Bonjour et Bienvenue smile

Tout d'abord, Lenny, c'est la version Old-old-stable. Elle n'est plus supporté depuis 2012 hmm Avec une distrib plus récente, le pilote libre ferait peut-être l'affaire sans passer par le pilote propriétaire ?

Ensuite, surtout quand c'est des placards comme ça Le code, ça pique moins les yeux en couleur wink

Pour le reste, même en restant sous Lenny, il y avait peut-être moyen d'installer ce pilote propriétaire avec apt-get ? Pour cela, peut-tu nous mettre ici ton fichier sources.list

cat /etc/apt/sources.list


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#3 03-10-2014 11:53:21

mao2000
Membre
Inscription : 03-10-2014

Re : Probleme compilation fglrx sous lenny

Merci pour le mot de bienvenue j'essaierai d' etre plus lisible.voici ce j'ai fait à partir de l' extraction des paquets

fglrx-driver_8.593-1_amd64.deb
fglrx-driver-dev_8.593-1_amd64.deb
fglrx-kernel-src_8.593-1_amd64.deb
fglrx-amdcccle_8.593-1_amd64.deb

apt-get install


me donne  le fichier  fglrx.tar.gz2 à decompresser qui me donne en retour 2 repertoires et plusieurs fichiers *.h *.c et *.sh
  ./modules/fglrx/2.6.2/
  ./modules/fglrx/debian/
et après un

sh make.sh



me donne ceci:

debian:/usr/src/modules/fglrx# sh make.sh

AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers
make -C /lib/modules/2.6.26-2-amd64/build SUBDIRS=/usr/src/modules/fglrx/2.6.x modules
make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.26-2-amd64 »
  CC [M]  /usr/src/modules/fglrx/2.6.x/firegl_public.o
/usr/src/modules/fglrx/2.6.x/firegl_public.c: In function ‘KCL_MEM_VM_GetRegionPhysAddrStr’:
/usr/src/modules/fglrx/2.6.x/firegl_public.c:3223: warning: return makes pointer from integer without a cast
/usr/src/modules/fglrx/2.6.x/firegl_public.c:3224: warning: return makes pointer from integer without a cast
/usr/src/modules/fglrx/2.6.x/firegl_public.c:3225: warning: return makes pointer from integer without a cast
/usr/src/modules/fglrx/2.6.x/firegl_public.c:3227: warning: return makes pointer from integer without a cast
  CC [M]  /usr/src/modules/fglrx/2.6.x/kcl_acpi.o
  CC [M]  /usr/src/modules/fglrx/2.6.x/kcl_agp.o
  CC [M]  /usr/src/modules/fglrx/2.6.x/kcl_debug.o
  CC [M]  /usr/src/modules/fglrx/2.6.x/kcl_ioctl.o
/usr/src/modules/fglrx/2.6.x/kcl_ioctl.c: In function ‘KCL_IOCTL_AllocUserSpace32’:
/usr/src/modules/fglrx/2.6.x/kcl_ioctl.c:196: error: implicit declaration of function ‘compat_alloc_user_space’
/usr/src/modules/fglrx/2.6.x/kcl_ioctl.c:196: warning: return makes pointer from integer without a cast
make[2]: *** [/usr/src/modules/fglrx/2.6.x/kcl_ioctl.o] Erreur 1
make[1]: *** [_module_/usr/src/modules/fglrx/2.6.x] Erreur 2
make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.26-2-amd64 »
make: *** [kmod_build] Erreur 2
build failed with return value 2



et voici ce que me donne:

cat/etc/apt/sources.list



deb cdrom:[Debian GNU/Linux 5.0.10 _Lenny_ - Official amd64 DVD Binary-1 20120310-14:08]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.10 _Lenny_ - Official amd64 DVD Binary-1 20120310-14:08]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.10 _Lenny_ - Official amd64 DVD Binary-2 20120310-14:08]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.10 _Lenny_ - Official amd64 DVD Binary-3 20120310-14:08]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.10 _Lenny_ - Official amd64 DVD Binary-4 20120310-14:08]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.10 _Lenny_ - Official amd64 DVD Binary-5 20120310-14:08]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.10 Update DVD 20120311: amd64 DVD 1]/ lenny contrib main non-free

# Line commented out by installer because it failed to verify:
#deb http://security.debian.org/ lenny/updates main contrib non-free
# Line commented out by installer because it failed to verify:
#deb-src http://security.debian.org/ lenny/updates main contrib non-free

# Line commented out by installer because it failed to verify:
#deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free
# Line commented out by installer because it failed to verify:
#deb-src http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free

Dernière modification par mao2000 (03-10-2014 12:11:35)

Hors ligne

#4 03-10-2014 12:24:36

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Probleme compilation fglrx sous lenny

Voilà, j'ai mis un peu de couleur wink Tu peux éditer ton message pour voir l'utilisation des balises code

D'un manière générale, sous Debian, on laisse le système faire les installations à partir des dépôts sans rien compiler. Ton fichier de sources ne disposant que des CDROM, c'est plus compliqué. Il faudrait ajouter les dépôts distant. Mais, Lenny n'étant plus maintenue, les adresses des dépôts ne sont plus bonnes. Il y a les bonnes adresses dans le lien.

Sauf si tu as une raison particulière de vouloir conserver Lenny, il serait plutôt recommandé de passer à Wheezy, la Stable actuelle. Sous Wheezy, plus de compiz, donc, pas nécessairement besoin de pilote propriétaire.

Si d'aventure, tu souhaites malgré tout utiliser Lenny, remplace ton fichier de sources par celui du lien. Ensuite

apt-get update
apt-get upgrade
apt-get dist-upgrade
apt-get install fglrx-driver
 


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#5 03-10-2014 12:33:04

yoshi
Membre
Lieu : Normandie
Distrib. : PCLinuxOS/Antix/Slackware
Noyau : 4.8.12/4.4.10/4.4.32
(G)UI : Plasma5/Fluxbox/KDE4/Trinity
Inscription : 05-03-2014

Re : Probleme compilation fglrx sous lenny

Perso, j'ai beaucoup aimé Lenny, je l'ai gardée jusqu'à la fin de sa vie en oldstable. Surtout à cause de KDE 3.5.
Mais bon, c'est trop vieux maintenant et plus supporté du tout, il ne faut pas rester dessus, passer en Wheezy me semble urgent....

PcLinuxOs KDE Plasma 5.8.4 / Slackware -current KDE 4.14.21 sur workstation bi-processeur AMD Opteron 4234 32 Go DDR-3
antiX 16 rox/fluxbox sur laptop Toshiba Satellite C-660-2D6 Intel core I3 8Go DDR-3
PcLinuxOs Trinity Desktop+Kodi sur media-center HP Intel Celeron 2Go DDR-3

Hors ligne

Pied de page des forums